# Openring in italiano

## Tutorial

Questo programma genera una lista di articoli a partire da uno o piú feed [RSS](https://it.wikipedia.org/wiki/RSS), cosí da mostrare sul tuo blog articoli di siti da te consigliati. È progettato per essere di facile utilizzo e per essere integrato nell’uso di qualsiasi generatore di siti statici. Di base, lo si può usare cosí:

```
openring \
  -s https://drewdevault.com/feed.xml \
  -s https://emersion.fr/blog/rss.xml \
  -s https://danluu.com/atom.xml \
  < in.html \
  > out.html
```

Ciò legge il template salvato in `in.html` (è già incluso un template di esempio, ma lo si può cambiare come si vuole), recupera gli ultimi 5 articoli dalle sorgenti, li passa al template e salva il risultato in `out.html`. Dopodiché, è possibile includere il file nelle pagine col metodo normale per il generatore di siti in uso.

## Contribuire

Se vuoi aiutare con lo sviluppo, [invia una patch](https://git-send-email.io) alla [mailing
list](https://lists.sr.ht/~sircmpwn/public-inbox) dell’openring originale:
[`~sircmpwn/public-inbox@lists.sr.ht`](mailto:~sircmpwn/public-inbox@lists.sr.ht).
Grazie!
